Loading...
Searching...
No Matches
SpectrumFrequencyRangeEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| SpectrumFrequencyRangeEvent (const double, const double, const double)
| ~SpectrumFrequencyRangeEvent () override
double | GetCenterFrequency () const
double | GetStartFrequency () const
double | GetStopFrequency () const

## Constructor & Destructor Documentation

## SpectrumFrequencyRangeEvent()

SpectrumFrequencyRangeEvent::SpectrumFrequencyRangeEvent | ( | const double | ,
|  | const double | ,
|  | const double | )

## ~SpectrumFrequencyRangeEvent()

SpectrumFrequencyRangeEvent::~SpectrumFrequencyRangeEvent | ( |  | ) |

override

## Member Function Documentation

## GetCenterFrequency()

double SpectrumFrequencyRangeEvent::GetCenterFrequency | ( |  | ) | const

## GetStartFrequency()

double SpectrumFrequencyRangeEvent::GetStartFrequency | ( |  | ) | const

## GetStopFrequency()

double SpectrumFrequencyRangeEvent::GetStopFrequency | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h